if not Bashmatic.death.event then
    cecho("\n<firebrick>Bashmatic: You must configure the death trigger first. Please see bm help for more info.")
else
    if Bashmatic.enemies.group then
        -- grouping enemies by area
        local area = GetRoomAreaName(GetRoomArea(GetPlayerRoom())) or nil
        if area == nil then
            cecho("\n<firebrick>Bashmatic: We tried to add that enemy but got a bad area.\nGot: " .. area .. "<reset>")
        else
            inlineAddTarget(matches[2], area)
        end
    else
        -- not grouping by area
        inlineAddTarget(matches[2], nil)
    end
end